export interface IAsSpace {
  mediaId?: number
  catalogId?: number
  slotName?: string
  width?: number
  height?: number
  adType?: number
  slotId?: number
}

export interface CatalogTreeOri {
  catalogId: number
  catalogName: string
  children: CatalogTreeOri[]
  createTime: string
  media: string
  mediaId: number
  parentId: number
  slots: number
  status: number
}

export interface CatalogTree {
  value: number
  label: string
  children?: CatalogTree[]
}

export interface CreativesList {
  createdTime: string
  creativeId: number
  creativeName: string
  endDate: string
  intervalType: number
  mediaList: number[] | null
  planId: number | null
  showType: string | null
  slotsList: number[] | null
  startDate: string
  status: number
  statusDesc: string | null
  timeInterval: string
  uid: number | null
  updatedTime: string | null
}

export interface AsSpaceItem {
  adType: number
  catalogId: number
  createdTime: string
  creativesList: CreativesList[]
  height: number
  mediaId: number
  showSys: null
  slotId: number
  slotName: string
  status: number
  terminalType: null
  uid: number
  updatedTime: null
  width: number
}

export interface AsSpaceList {
  name: string
  dates: string[][]
  datesList: string[]
}
